%define		package	DomCrawler
%define		php_min_version 5.3.9
Summary:	Symfony2 DomCrawler Component
Name:		php-symfony2-DomCrawler
Version:	2.8.52
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	0c955bdddd6da73bcd370f77e39a2606
URL:		http://symfony.com/doc/2.7/components/dom_crawler.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(mbstring)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php(xml)
Requires:	php-dirs >= 1.6
Suggests:	php-symfony2-CssSelector
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DomCrawler Component eases DOM navigation for HTML and XML
documents.

While possible, the DomCrawler component is not designed for
manipulation of the DOM or re-dumping HTML/XML.

%prep
%setup -q -n dom-crawler-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/DomCrawler
%{php_data_dir}/Symfony/Component/DomCrawler/*.php
%{php_data_dir}/Symfony/Component/DomCrawler/Field
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-DomCrawler.git;a=log;h=master

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> 42d889d
- Update to 2.8.52

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> ca4ae12
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 72b2c90
- up to 2.7.8

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 75eea99
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 88997bd
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 9e18ba2
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> e95abbe
- up to 2.7.7; use autoload.php for autoload name

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> 8fd26cd
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> ae0d167
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> c5119ba
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 226cb77
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> ef3c26c
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> c93f826
- update url

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 9589107
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 85569d3
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> c44c871
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 20c0686
- more specific url

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 4c2e4f0
- initial add. version 2.1.4

